function login() {
    var action = getParameterByName("action", "login");

    if( action === 'logout' ) {
        app.user.logout();
        setTimeout(function() {
            //alert('Logout');
            location.href = 'index.html';
        }, 300);
    } else {
        loading('hide');

        $("#loginFormSubmit").on('click', function() {
            loading('show');

            var data = { 
                email: $("#loginForm input[name=email]").val(),
                password: $("#loginForm input[name=password]").val()
            };

            $('.error-text').empty().hide();
            $('.error-symbol').remove();
            $('.input-parent').removeClass('error');

            if( app.user.validation(data) ) {
                var result = app.user.login(data.email, data.password);

                if( result.status ) {
                    app.user.auth( result.data );
                        setTimeout(function() {
                            location.href = 'index.html';
                        }, 500);
                } else {
                    app.user.addError('login', result.message);
                }
            } 

            app.user.showErrors();

            loading('hide');
            return false;
        });
    }
}