function signup() {
    loading('hide');
    
    $("#signUpFormSubmit").on('click', function(){
        loading('show');

        var data = {
            name: $("#signUpForm input[name=name]").val(),
            lastname: $("#signUpForm input[name=lastname]").val(),
            email: $("#signUpForm input[name=email]").val(),
            password: $("#signUpForm input[name=password]").val(),
        };

        $('.error-text').empty().hide();
        $('.error-symbol').remove();
        $('.input-parent').removeClass('error');

        if( app.user.validation(data) ) {
            var result = app.user.sendData(data);

            if( result.status ) {
                app.user.auth(data);

                alert(data.name + ', Вы успешно зарегистрировались');

                setTimeout(function() {
                    location.href = 'index.html';
                }, 300);
            } else {
                app.user.addError('sugnup', result.message);
            }
        } 

        app.user.showErrors();

        loading('hide');
        return false;
    });
}